package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Field;
import org.springframework.stereotype.Component;
@Component
public class Weibo implements Serializable{

	@Id
	private String id;
	private String time;
	private int month;
	private String text;
	@Field("user_id")
	private String userId;
	private String username;
	private String source;
	private int retweet_count;
	private int reply_count;
	private String url;
	@Field("image_url")
	private String imageUrl;
	@Field("weibo_img")
	private String weiboImg;
	private int vtype;
	private int	fensi;
	private int guanzhu;
	private int weibo;
	private String description;
	@Field("pic_urls")
	private String picUrls;
	private String sex;
	private String location;
	private Date ins;
	private int isForward;
	private int rstime;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getTime() {
		return time;
	}
	public void setTime(String time) {
		this.time = time;
	}
	public int getMonth() {
		return month;
	}
	public void setMonth(int month) {
		this.month = month;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public int getRetweet_count() {
		return retweet_count;
	}
	public void setRetweet_count(int retweet_count) {
		this.retweet_count = retweet_count;
	}
	public int getReply_count() {
		return reply_count;
	}
	public void setReply_count(int reply_count) {
		this.reply_count = reply_count;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getImageUrl() {
		return imageUrl;
	}
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}
	public String getWeiboImg() {
		return weiboImg;
	}
	public void setWeiboImg(String weiboImg) {
		this.weiboImg = weiboImg;
	}
	public int getVtype() {
		return vtype;
	}
	public void setVtype(int vtype) {
		this.vtype = vtype;
	}
	public int getFensi() {
		return fensi;
	}
	public void setFensi(int fensi) {
		this.fensi = fensi;
	}
	public int getGuanzhu() {
		return guanzhu;
	}
	public void setGuanzhu(int guanzhu) {
		this.guanzhu = guanzhu;
	}
	public int getWeibo() {
		return weibo;
	}
	public void setWeibo(int weibo) {
		this.weibo = weibo;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getPicUrls() {
		return picUrls;
	}
	public void setPicUrls(String picUrls) {
		this.picUrls = picUrls;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public Date getIns() {
		return ins;
	}
	public void setIns(Date ins) {
		this.ins = ins;
	}
	public int getIsForward() {
		return isForward;
	}
	public void setIsForward(int isForward) {
		this.isForward = isForward;
	}
	public int getRstime() {
		return rstime;
	}
	public void setRstime(int rstime) {
		this.rstime = rstime;
	}
	
	
	
	
}
